
<template>
  <div class="mb-4">
    <!-- NOM UTILISATEUR (POUR COMMENTAIRE SUR PROFIL VENDEUR) -->
    <div
      v-if="idusercom != '' && id == null"
      class="d-flex align-items-center"
    >
      <img 
        v-if="imageFetch != '' && imageFetch != 'undefined'"
        :src="url + imageFetch"
        class="vendeur__img bg-white"
      >
      <!-- no img -->
      <img 
        v-else
        :src="require('@/assets/images/noimguser.png')"
        alt=""
        class="vendeur__img"
      >
      <p class="mb-0 p-2">
        {{ pseudoFetch }}
      </p>
    </div>
    <div v-else>
      <!-- NOM UTILISATEUR SI PAGE MESSAGE -->
      <router-link
        v-if="message == true"
        :to="{ name: 'Messages', params: { destinataireid: id }}"
        class="d-flex align-items-center"
      >
        <img 
          v-if="imageFetch != '' && imageFetch != 'undefined'"
          :src="url + imageFetch"
          class="vendeur__img"
        >
        <!-- no img -->
        <img 
          v-else
          :src="require('@/assets/images/noimguser.png')"
          alt=""
          class="vendeur__img"
        >
        <div class="container__message">  
          <p class="mb-0 p-2">
            {{ pseudoFetch }}
          </p>
          <p
            v-if="nonLU == true"
            class="bold px-2 text-cut"
          >
            {{ texteMessage }}
          </p>
          <p
            v-else
            class="px-2 text-cut"
          >
            {{ texteMessage }}
          </p>
        </div>
      </router-link>
      <div v-else>
        <router-link
          :to="{ name: 'Profilvendeur', params: { idVendeur: id }}"
          class="d-flex align-items-center"
        >
          <img 
            v-if="imageFetch != '' && imageFetch != 'undefined'"
            :src="url + imageFetch"
            class="vendeur__img bg-white"
          >
          <!-- no img -->
          <img 
            v-else
            :src="require('@/assets/images/noimguser.png')"
            alt=""
            class="vendeur__img"
          >
          <p class="mb-0 p-2">
            {{ pseudoFetch }}
          </p>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script>
import axios from 'axios';

export default {
  props: {
    id: Number || String,
    message: Boolean,
    texteMessage: Text,
    nonLU: Boolean,
    idusercom: Number
  },
  data() {
    return {
      url: process.env.VUE_APP_URL,
      pseudoFetch: '',
      imageFetch: ''  
    }
  },

  watch: {
      '$route.params.idVendeur': function () {
          this.loadData();
      },
      '$route.params.destinataireid': function () {
            this.loadData();
        },
  },

  mounted() {
    this.loadData()
  },

  methods:{
    loadData(){
      let vm = this;
      if(vm.message == false){
        // pour les noms vendeurs (sauf pour la page discussion)
        if(vm.id != null){
          axios({
            method: 'get',
            url: this.url + "/api/info_vendeurs/" + vm.id,
          })
          .then(res => {
            this.pseudoFetch = res.data.utilisateur.pseudo;
            this.imageFetch = res.data.utilisateur.contentUrl;
          })
          .catch(err => {
              console.log(err);
          });
        } else {
          axios({
            method: 'get',
            url: this.url + "/api/utilisateurs/" + vm.idusercom,
          })
          .then(res => {
            this.pseudoFetch = res.data.pseudo;
            this.imageFetch = res.data.contentUrl;
          })
          .catch(err => {
              console.log(err);
          });
        }
      } else {
        //pour les messages (si pas vendeur)
        axios({
          method: 'get',
          url: this.url + "/api/utilisateurs/" + vm.id,
        })
        .then(res => {
          this.pseudoFetch = res.data.pseudo;
          this.imageFetch = res.data.contentUrl;
        })
        .catch(err => {
            console.log(err);
        });
      }
    }
  }
}
</script>

<style lang="scss" scoped>
.container__message {
  width: calc(100% - 60px);
  .bold {
    font-weight: bold;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
  }
  .text-cut {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    width: 100%;
  }
}
</style>
